# qortal-scripts

A repo for various Qortal-related scripts 

## generate-nginx-node-config.sh 
This script creates a PUBLIC NODE config file for nginx.

Script can be run on the machine that will be ultimately hosting the public node, OR it can be run on the local/desktop machine of the user. 

Script will prompt to ask if either of the above is the case. 

If running on the machine that will ultimately run the public node, the script needs to be run as either root, or with sudo privileges, as it will also write the config file to the correct location, and test/restart nginx. 

### Requirements
System must already have nginx installed `sudo apt update && sudo apt install nginx` 
if the system is going to be the one running the node, and running this script. 


## tx.py 
tx.py is an updated version of 'tx.pl' perl script in the primary qortal repo. 

This script's purpose is to take the place of tx.pl, as perl is extremely old and no longer actively used in most setups. 

This script is utilized the exact same way as tx.pl, following the exact same command structure, so that it can literally be a 'drop-in replacement' for tx.pl. 

It is able to create transactions such as add/remove group admin for group_approval required groups... 

Syntax for such a command to create such a transaction would be something like... 

`./tx.py ADD_GROUP_ADMIN {PRIVATE-KEY-FOR-TX-CREATOR} 1 1 {ADDRESS-FOR-ACCOUNT-TO-ADD} -s -p -d`

Many additional transaction types are supported. More documentation will be written in the future.